Skip to content

Applications

Get Applications

GET https://api.appelium.com/v1/applications

This endpoint allows you to get the list of all applications available in your workspace.

Parameters

NAME PLACEMENT TYPE DESCRIPTION
X-Appelium-Token
Required
Header string API token generated in Dashboard

200: OK

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
{
    "data": [
        {
            "id": 12345,
            "name": "Demo App",
            "alias": "demo-app-ios",
            "platform": 1|2|3, // 1: Android, 2: iOS, 3: tvOS
            "bundleIdentifier": "com.appelium.demo.app",
            "distributionUrl": "https://dashboard.appelium.com/apps/f42e49db343d",
            "icon": {
                "url": "https://...",
                "size": {
                    "width": 180,
                    "height": 180
                }
            },
            "latestNetworkAppdex": 0.9,
            "latestTestsAppdex": 0.8,
            "updateDate": "2023-10-31T21:05:07.437Z",
            "creationDate": "2023-02-24T10:50:39.437Z"
        }
        ... other apps
    ]
}

401: Unauthorized

{
    "id": "388677B7-B016-4A6C-A8AE-887B3814114C",
    "httpStatus": 401,
    "title": "Unauthorized",
    "detail": "Invalid or missing X-Appelium-Token header"
}

Get Application by ID

GET https://api.appelium.com/v1/applications/:applicationId

This endpoint allows you to get the details of the application based on the ID

Parameters

NAME PLACEMENT TYPE DESCRIPTION
X-Appelium-Token
Required
Header string API token generated in Dashboard
applicationId
Required
Path int ID of the Application

200: OK

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
{
    "data": {
        "id": 12345,
        "name": "Demo App",
        "alias": "demo-app-ios",
        "platform": 1|2|3, // 1: Android, 2: iOS, 3: tvOS
        "bundleIdentifier": "com.appelium.demo.app",
        "distributionUrl": "https://dashboard.appelium.com/apps/f42e49db343d",
        "icon": {
            "url": "https://...",
            "size": {
                "width": 180,
                "height": 180
            }
        },
        "latestNetworkAppdex": 0.9,
        "latestTestsAppdex": 0.8,
        "updateDate": "2023-10-31T21:05:07.437Z",
        "creationDate": "2023-02-24T10:50:39.437Z"
    }
}

401: Unauthorized

{
    "id": "388677B7-B016-4A6C-A8AE-887B3814114C",
    "httpStatus": 401,
    "title": "Unauthorized",
    "detail": "Invalid or missing X-Appelium-Token header"
}

404: Not found

{
    "id": "388677B7-B016-4A6C-A8AE-887B3814114C",
    "httpStatus": 404,
    "title": "Not Found",
    "detail": "The application with given ID doesn't exist"
}